net.percederberg.mibble.snmp

## Class SnmpModuleSupport

- java.lang.Object
- - net.percederberg.mibble.snmp.SnmpModuleSupport

-     public class SnmpModuleSupport
      extends java.lang.Object

  An SNMP module support value. This declaration is used inside the agent capabilities type.
  Since:
    2.0
  See Also:
    `SnmpAgentCapabilities`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpModuleSupport(java.lang.String module, java.util.ArrayList<MibValue> groups, java.util.ArrayList<SnmpVariation> variations)` Creates a new module support declaration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<MibValue>` | `getGroups()` Returns the list of included group values.
    `java.lang.String` | `getModule()` Returns the module name.
    `java.util.ArrayList<SnmpVariation>` | `getVariations()` Returns the list of variations.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpModuleSupport

          public SnmpModuleSupport(java.lang.String module,
                           java.util.ArrayList<MibValue> groups,
                           java.util.ArrayList<SnmpVariation> variations)

      Creates a new module support declaration.
      Parameters:
        `module` - the module name, or null
        `groups` - the list of included group values
        `variations` - the list of variations

  - ### Method Detail

    - #### getModule

          public java.lang.String getModule()

      Returns the module name.
      Returns:
        the module name, or null if not set

    - #### getGroups

          public java.util.ArrayList<MibValue> getGroups()

      Returns the list of included group values. The returned list will consist of MibValue instances.
      Returns:
        the list of included group values
      See Also:
        `MibValue`

    - #### getVariations

          public java.util.ArrayList<SnmpVariation> getVariations()

      Returns the list of variations. The returned list will consist of SnmpVariation instances.
      Returns:
        the list of variations
      See Also:
        `SnmpVariation`

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object